﻿using System;

namespace Dekorator
{
    using UMK.WzorceStrukturalne;

    class Program
    {
        private static void wyświetlInformacjeONapoju(Napój napój)
        {
            Console.WriteLine(napój.ToString() + " za " + napój.Cena() + " zł");
        }

        static void Main(string[] args)
        {
            Napój kawa = new Kawa();
            wyświetlInformacjeONapoju(kawa);

            Napój napój1 = new NapójZeSzczyptąCynamonu(kawa);
            wyświetlInformacjeONapoju(napój1);

            Napój napój2 = new NapójZeSzczyptąCynamonu(napój1);
            wyświetlInformacjeONapoju(napój2);

            Napój napój3 = new NapójZCukrem(napój2, 2);
            wyświetlInformacjeONapoju(napój3);

            Napój napój4 = new NapójZCukrem(new NapójZeSzczyptąCynamonu(new NapójZeSzczyptąCynamonu(new Kawa())), 2);
            wyświetlInformacjeONapoju(napój4);
        }
    }
}
